# List Price List Items Retrieves a list of Price List Items. A filter can be applied. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICELIST_FETCH | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), View Price Lists (PB_PRICELISTS_RO) Endpoint: POST /pricelistmanager.fetch/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Price List you want to retrieve items for. The id is the typedId without the suffix. For example, the id attribute of the item with typedId = 2147484837.PL is 2147484837. ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string, required) - `data.criteria.value` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.sku` (string) - `response.data.label` (string) - `response.data.unitOfMeasure` (string) - `response.data.currency` (string) - `response.data.comments` (string) - `response.data.resultPrice` (number) - `response.data.allowedOverrides` (string) - `response.data.calculatedResultPrice` (number) - `response.data.pricelistId` (number) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.attribute1` (number) - `response.data.completeResultsAvailable` (boolean) - `response.data.itemExtensions` (object) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `response.totalRows` (number) - `response.status` (number)